## NMAMobileWizard

NMAMobileWizard

## Functions

void | (*NMAMobileWizardCallback) ()
NMAMobileWizard * | nma_mobile_wizard_new ()
void | nma_mobile_wizard_present ()
void | nma_mobile_wizard_destroy ()

## Types and Values

| NMAMobileWizardAccessMethod

## Object Hierarchy

        GObject
        ╰── NMAMobileWizard

## Description

## Functions

### NMAMobileWizardCallback ()

    void
    (*NMAMobileWizardCallback) (NMAMobileWizard *self,
                                gboolean canceled,
                                NMAMobileWizardAccessMethod *method,
                                gpointer user_data);

### nma_mobile_wizard_new ()

    NMAMobileWizard *
    nma_mobile_wizard_new (GtkWindow *parent,
                           GtkWindowGroup *window_group,
                           NMDeviceModemCapabilities modem_caps,
                           gboolean will_connect_after,
                           NMAMobileWizardCallback cb,
                           gpointer user_data);

[skip]

#### Parameters

cb | . | [scope async]

#### Returns

the newly created NMAMobileWizard

### nma_mobile_wizard_present ()

    void
    nma_mobile_wizard_present (NMAMobileWizard *wizard);

### nma_mobile_wizard_destroy ()

    void
    nma_mobile_wizard_destroy (NMAMobileWizard *self);

## Types and Values

### NMAMobileWizardAccessMethod

    typedef struct {
    	char *provider_name;
    	char *plan_name;
    	NMDeviceModemCapabilities devtype;
    	char *username;
    	char *password;
    	char *gsm_apn;
    } NMAMobileWizardAccessMethod;

Network access method details.

#### Members

char *`provider_name`; | The mobile network provider name |
char *`plan_name`; | The provided network access billing plan |
NMDeviceModemCapabilities `devtype`; | Required NetworkManager device capabilities |
char *`username`; | User login |
char *`password`; | User secret |
char *`gsm_apn`; | The GSM Access Point Name |